<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAccessDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('access_details', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('shop_id');
            $table->text('api_key');
            $table->string('customer_code');
            $table->integer('status');
            $table->text('product_group')->nullable(); 
            $table->text('product_type')->nullable();  
            $table->text('services')->nullable();
            $table->timestamps();

            $table->foreign('shop_id')->references('id')->on('sessions')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('access_details');
    }
}
