<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateShipperDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shipper_details', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('shop_id');
            $table->text('company_name')->nullable();
            $table->text('primary_contact_person')->nullable();
            $table->text('primary_contact_number_code')->nullable();
            $table->text('primary_contact_number')->nullable();
            $table->text('secondary_contact_person')->nullable();
            $table->text('secondary_contact_number_code')->nullable();
            $table->text('secondary_contact_number')->nullable();
            $table->text('address_type')->nullable();
            $table->text('country')->nullable();
            $table->text('city')->nullable();
            $table->text('landmark')->nullable();
            $table->text('zipcode')->nullable();
            $table->text('adress_line')->nullable();
            $table->timestamps();

            $table->foreign('shop_id')->references('id')->on('sessions')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shipper_details');
    }
}
