import { NavigationMenu } from "@shopify/app-bridge-react";
import { useAppQuery } from "./hooks";
import { useState } from "react";
import { useTranslation } from "react-i18next";

export default function CustomNavigation() {

    const [isPermission, setPermission] = useState(0)
    const [isSkyexPermission, setSkyexPermission] = useState(0)
    const [isChangeApiPermission, setChangeApiPermission] = useState(0)

    const { t } = useTranslation();
    useAppQuery({
        url: "/api/checkBackendStatus",
        reactQueryOptions: {
            onSuccess: (response) => {
                if (response.status) {
                    setPermission(response.status);
                } else {
                    console.error('Token expired');
                }
            },
        },
    });


    const { skyexdata } = useAppQuery({
    url: "/api/checkSkyexTableStatus",
    reactQueryOptions: {
      onSuccess: (response) => {
       // setStatus(response.status);
      //  setSelectedAPI(response.apiStatus);
      setSkyexPermission(response.skyexStatus);
        console.log(response.skyexStatus);
      },
    },
  });


  const { cahngeapidata } = useAppQuery({
    url: "/api/checkChangeApiStatusdata",
    reactQueryOptions: {
      onSuccess: (response) => {
       // setStatus(response.status);
      //  setSelectedAPI(response.apiStatus);
      setChangeApiPermission(response.buttonChangeApiStatus);
        console.log(response.buttonChangeApiStatus);
      },
    },
  });


    // const navigationLinks = isPermission === 1
    // ? [
    //     {
    //         label: t("NavigationMenu.Settings"),
    //         destination: "/Settings",
    //       },
       
    //   ]
    // : [
                        
    //   ];

    //   const navigationLinks = [
    //     ...(isPermission === 1 ? [{ label: t("NavigationMenu.Settings"), destination: "/Settings" }] : []),
    //     ...(isSkyexPermission === 1 ? [{ label: t("NavigationMenu.Settings"), destination: "/SettingsOld" }] : [])
    // ];
    

    let navigationLinks = [];

  if (isPermission === 1 && isChangeApiPermission !==null && isChangeApiPermission === 1) {
  
    navigationLinks = [
      {
        label: t("NavigationMenu.Settings"),
        destination: "/Settings", 
      },
    ];
  } else if (isSkyexPermission === 1 && isChangeApiPermission !==null && isChangeApiPermission === 2) {
    
    navigationLinks = [
      {
        label: t("NavigationMenu.Settings"),
        destination: "/SettingsOld", 
      },
    ];
  }

  
      const shouldHideNavigation = true;

      const filteredNavigationLinks = navigationLinks.filter(link => {
          return !(shouldHideNavigation && link.label === "Orders" && isPermission === 0);
      });
  
      return (
          <NavigationMenu
              navigationLinks={filteredNavigationLinks}
              />
      )
}