import React, { useState, useCallback,useEffect  } from 'react';
import {
  Page,
  Layout,
  LegacyCard,
  Tabs,
  Form,
  FormLayout,
  TextField,
  Button,
  Toast,
  Frame ,EmptyState, Link, Image , Select, Checkbox,Modal
} from "@shopify/polaris";
import { TitleBar } from "@shopify/app-bridge-react";
import { useTranslation } from "react-i18next";
import { useAppQuery, useAuthenticatedFetch } from "../hooks";
import './style.css';
import { domesticImage } from "../assets";
import { importImage } from "../assets";
import { exportImage } from "../assets";
import { skyexlogo } from "../assets";
import Orders from './Orders';
import { useNavigate , useLocation } from 'react-router-dom';
// { onChangeApi }
import EntryPage from './EntryPage';


export default function Settings() {
  const { t } = useTranslation();
  const fetch = useAuthenticatedFetch();
  const [selectedTab, setSelectedTab] = useState(0);
  const [apiKey, setApiKey] = useState('');
  const [customerCode, setCustomerCode] = useState('');
  const [apiKeyError, setApiKeyError] = useState('');
  const [customerCodeError, setCustomerCodeError] = useState('');
  const [showToast, setShowToast] = useState(false); 
  const [isSubmitVisible, setIsSubmitVisible] = useState(true);
  const [isShippingSubmitVisible, setIsShippingSubmitVisible] = useState(true);
  const [isAddressSubmitVisible, setIsAddressSubmitVisible] = useState(true);
  const [isTabVisible, setIsTabVisible] = useState(false);
  const [isAddressTabVisible, setIsAddressTabVisible] = useState(false);
  const [activeTab, setActiveTab] = useState('account-details-tab');
  const [shipperDetailsSubmitted, setShipperDetailsSubmitted] = useState(false);
  const [showOrders, setShowOrders] = useState(true);
  const [showSettings, setShowSettings] = useState(false);
  const [showApiToast, setShowApiToast] = useState(false); 
  const [isAddressSubmitVisibleShipper, setIsAddressSubmitVisibleShipper] = useState(true);

  const [isLoading, setIsLoading] = useState(true);
  const [details, setDetails] = useState([]);
  const [countryDetails, setCountryDetails] = useState(true);
  const [codes, setCodes] = useState([]);
  const [countries, setCountries] = useState([]);
  const [cities, setCities] = useState([]);
  const [companyDetails, setCompanyDetails] = useState([]);
  
  const [productList, setproductList] = useState([]);
  const [productListFF, setproductListFF] = useState([]);
  const [serviceList, setserviceList] = useState([]);
  const [serviceListFF, setserviceListFF] = useState([]);
  const [productService, setproductService] = useState([]);
  const [selectedPdfSize, setSelectedPdfSize] = useState('');
const [pdfSizeOptions, setPdfSizeOptions] = useState([]);
const [isLoadingAccount, setIsLoadingAccount] = useState(false);
const [isLoadingShipping, setIsLoadingShipping] = useState(false);
const [isLoadingAddress, setIsLoadingAddress] = useState(false);
const [submitStatus, setSubmitStatus] = useState(false);
const [refreshStatus, setRefreshStatus] = useState(false);


const [selectedCompanyId, setSelectedCompanyId] = useState('');
const [selectedCompanyDetails, setSelectedCompanyDetails] = useState(null);
const [showCheckbox, setShowCheckbox] = useState(false);
const [isDefaultAddressShipper, setIsDefaultAddressShipper] = useState(false);
const navigate = useNavigate();
const location = useLocation();

  const {
    dataCountry
  } = useAppQuery({
    url: "/api/getCountries",
    reactQueryOptions: {
      onSuccess: (response) => {
        setIsLoading(false);
        setCountryDetails(response.details);
        setCountries(response.details.map(detail => detail.countries));
        setCodes(response.details.map(detail => detail.country_phone_code));
        //console.log(response.details.map(detail => detail.country_phone_code));

      },
    },
  });

  const {
    dataCompany
  } = useAppQuery({
    url: "/api/getCompanies",
    reactQueryOptions: {
      onSuccess: (response) => {
        setIsLoading(false);
        setCompanyDetails(response.details);
        
      },
    },
  });
  const handleCompanyNameChange = (value) => {
    setSelectedCompanyId(value);
      const selectedCompany = companyDetails.find(company => 
      company.id === Number(value) 
    );
    console.log("Selected Company:", selectedCompany); 
    setSelectedCompanyDetails(selectedCompany);
    setIsAddressSubmitVisibleShipper(false);
      
  };
  const handleDefaultAddressShipperChange = useCallback((checked) => {
    setSelectedCompanyDetails(prevState => ({
      ...prevState,
      is_default: checked,
    }));
  }, []);
  
const CompanyOptions = companyDetails.map(company => ({
    label: company.company_name, 
    value: company.id.toString(), 
}));

  const {
    dataProductType
  } = useAppQuery({
    url: "/api/getProductType",
    reactQueryOptions: {
      onSuccess: (response) => {
        setIsLoading(false);
       // setCountryDetails(response.details);
       setproductList(response.details.map(detail => detail.product_type_SF));
       setproductListFF(response.details.map(detail => detail.product_type_FF));
        //console.log(response.details.map(detail => detail.country_phone_code));

      },
    },
  });

  const {
    dataProductService
  } = useAppQuery({
    url: "/api/getProductService",
    reactQueryOptions: {
      onSuccess: (response) => {
        setIsLoading(false);
       // setCountryDetails(response.details);
       setserviceList(response.details.map(detail => detail.product_service_SF));
       setserviceListFF(response.details.map(detail => detail.product_service_FF));
        //console.log(response.details.map(detail => detail.country_phone_code));

      },
    },
  });

  const {
    dataPdfSize
  } = useAppQuery({
    url: "/api/getPdfSize",
    reactQueryOptions: {
      onSuccess: (response) => {
        setIsLoading(false);
       // setCountryDetails(response.details);
       
     
       if (Array.isArray(response.details) && response.details.length > 0) {
        const sizes = response.details.map(item => item.size);
        setPdfSizeOptions(sizes);
        
       
        if (!selectedPdfSize && sizes.length > 0) {
          setSelectedPdfSize(sizes[0]);
        }
      }

      },
    },
  });
  const handleFirstSubmit = async () => {
    setIsLoadingAddress(true);

    try {
    
      window.location.reload();
         
       
    } catch (error) {
      setSubmitStatus(true);
    
    } finally {
      setIsLoadingAddress(false);
    }
  };

  const fetchDataFromBackend = async () => {
    try {
      const response = await fetch('/api/createWebhook', {
        method: 'POST', 
        headers: {
          'Content-Type': 'application/json',
          
        },
        
      });

      if (!response.ok) {
        throw new Error('Network response was not ok');
      }

      const webhookData = await response.json();
      console.log('Data from Laravel backend:', webhookData);
      
    } catch (error) {
      console.error('Error fetching data:', error);
      
    }
  };
  useEffect(() => {
    fetchDataFromBackend();
      
     }, []); 

  const handleTabChange = useCallback((selectedTabIndex) => {
    setSelectedTab(selectedTabIndex);
  }, []);

  const handleUrlChange = useCallback((value) => setApiKey(value), []);
  const handleCustomerCodeChange = useCallback((value) => setCustomerCode(value), []);

  const handleSubmit = useCallback((event) => {
    event.preventDefault();
    setIsLoadingAccount(true);
    let valid = true;

    setApiKeyError('');
    setCustomerCodeError('');

    if (apiKey.trim() === '') {
      setApiKeyError('API Key is required.');
      valid = false;
      setIsLoadingAccount(false);
    }

    if (customerCode.trim() === '') {
      setCustomerCodeError('Customer Code is required.');
      valid = false;
      setIsLoadingAccount(false);
    }

    if (valid) {
      const payload = {
        apiKey: apiKey,
        customerCode: customerCode
      };

    

      const url = '/api/addData';

      fetch(url, {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json',
        },
        body: JSON.stringify(payload),
      })
      .then(response => {
        
        if (!response.ok) {
          throw new Error('Network response was not ok');
         
        }

        //setShowToast(true); 
        setIsSubmitVisible(false);
        setIsTabVisible(true);
        setIsAddressTabVisible(false);
        setIsLoadingAccount(false);
        handleFirstTabSwitch('shipping-details-tab');

      })
      .catch(error =>{ console.error('Error:', error);
        setShowApiToast(true);
        setIsLoadingAccount(false);
    });
    }
  }, [apiKey, customerCode,fetch]);


  const handleFirstTabSwitch = (tabId) => {
    setActiveTab(tabId);
    const tabIndex = tabs.findIndex(tab => tab.id === 'shipping-details-tab');
    setSelectedTab(tabIndex >= 0 ? tabIndex : 0);
  };

  const {
    data,
    refetch: refetchProductCount,
    isLoading: isLoadingCount,
    isRefetching: isRefetchingCount,
  } = useAppQuery({
    url: "/api/getAccessDetails",
    reactQueryOptions: {
      onSuccess: (response) => {
        setIsLoading(false);
        setDetails(response.details);
        setApiKey(response.details.api_key);
        //console.log(response.details.api_key);
        setCustomerCode(response.details.customer_code);
        setActiveButton1(response.details.product_group1);
        setActiveButton2(response.details.product_group2);
        setWeight(response.details.weight);
        setSelectedPdfSize(response.details.pdf_size);
        setSelectedTime(response.details.time_slot);
        setReadyAtTime(response.details.ready_at_time);
        setClosingTime(response.details.closing_time);
        setIsSubmitVisible(false);
        setIsShippingSubmitVisible(false);
        setIsAddressSubmitVisible(false);
          setIsTabVisible(true);
        setIsAddressTabVisible(true);
        sendDataToBackend(response.details.country);
        setShipperDetailsSubmitted(response.details.status);
  
            setSelectedCompanyDetails(response.shipperDetails);
            setSelectedCompanyId(response.shipperDetails.id.toString());
          
        //setproductList(response.productCodes);
       // setproductListFF(response.productCodes.map(detail => detail.product_name));
      //  console.log(response.productCodes);
        

        if (response.details.product_group1) {
          setActiveButton1(response.details.product_group1);
          setCheckedDomestic(true);
          setActiveDomesticProduct(response.details.product_type1);
          setActiveDomesticService(response.details.services1);
        } else {
          setCheckedDomestic(false);
        }
  
        if (response.details.product_group2) {
          setActiveButton2(response.details.product_group2);
          setCheckedExport(true);
          setActiveExportProduct(response.details.product_type2);
          setActiveExportService(response.details.services2);
        } else {
          setCheckedExport(false);
        }
      },
    },
  });


  const handleEditClick = () => {
    setIsLoadingAccount(true);
    let valid = true;

    setApiKeyError('');
    setCustomerCodeError('');
    
    if (apiKey.trim() === '') {
      setApiKeyError('API Key is required.');
      valid = false;
      setIsLoadingAccount(false);
    }

    if (customerCode.trim() === '') {
      setCustomerCodeError('Customer Code is required.');
      valid = false;
      setIsLoadingAccount(false);
    }

    if (valid) {
      const payload = {
        apiKey: apiKey,
        customerCode: customerCode
      };

    
    fetch('/api/updateDetails', {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      body: JSON.stringify(payload),
    })
    .then(response => {
        
      if (!response.ok) {
        throw new Error('Network response was not ok');
       
      }
      setIsLoadingAccount(false);
      setShowToast(true);
    })

      .catch(error =>{ console.error('Error:', error);
        setShowApiToast(true);
        setIsLoadingAccount(false);
    });
  }
  };

const handleTabSwitch = (tabId) => {
    setActiveTab(tabId);
    const tabIndex = tabs.findIndex(tab => tab.id === 'account-details-tab');
    setSelectedTab(tabIndex >= 0 ? tabIndex : 0);
  };


  
    const [activeButton1, setActiveButton1] = useState('Domestic');
    const [activeButton2, setActiveButton2] = useState('');
    const [activeDomesticProduct, setActiveDomesticProduct] = useState('');
    const [activeDomesticService, setActiveDomesticService] = useState('');
    const [activeImportProduct, setActiveImportProduct] = useState('');
    const [activeImportService, setActiveImportService] = useState('');
    const [activeExportProduct, setActiveExportProduct] = useState('');
    const [activeExportService, setActiveExportService] = useState('');
    const [shippingDetailsToast, setShippingDetailsToast] = useState(false);
    const [addressDetailsToast, setAddressDetailsToast] = useState(false);
    
    


    const handleDomesticProductClick = (product) => {
      setActiveDomesticProduct(product);
    };
  
    const handleDomesticServiceClick = (service) => {
      setActiveDomesticService(service);
    };
  
    const handleImportProductClick = (product) => {
      setActiveImportProduct(product);
    };
  
    const handleImportServiceClick = (service) => {
      setActiveImportService(service);
    };
  
    const handleExportProductClick = (product) => {
      setActiveExportProduct(product);
    };
  
    const handleExportServiceClick = (service) => {
      setActiveExportService(service);
    };

    const [weightError, setWeightError] = useState('');
    const [pdfSizeError, setpdfSizeError] = useState('');
    const [selectedTimeError, setSelectedTimeError] = useState('');
    const [productGroupError, setProductGroupError] = useState('');
    const [activeDomesticProductError, setactiveDomesticProductError] = useState('');
    const [activeExportProductError, setactiveExportProductError] = useState('');
    const [activeDomesticServiceError, setactiveDomesticServiceError] = useState('');
    const [activeExportServiceError, setactiveExportServiceError] = useState('');
    




    const handleSubmitShippingDetails = () => {
      // let payload;
      setIsLoadingShipping(true);
      setWeightError('');
      setpdfSizeError('');
      setSelectedTimeError('');
      setProductGroupError('');
      setactiveDomesticProductError('');
      setactiveExportProductError('');
      setactiveDomesticServiceError('');
      setactiveExportServiceError('');

      if (!/^\d+(\.\d+)?$/.test(weight)) {
        setWeightError('Weight must be a valid number.');
        setIsLoadingShipping(false);
        return; // Stop submission if validation fails
       
      }
      if (!selectedPdfSize) {
        setpdfSizeError('Select a pdf size');
        setIsLoadingShipping(false);
        return; // Stop submission if validation fails
      }
      if (!selectedTime || selectedTime.trim() === '') {
        setSelectedTimeError('Time slot cannot be blank.');
        setIsLoadingShipping(false);
        return; // Stop submission if validation fails
      }

      if ((checkedDomestic && (!activeButton1 || activeButton1.trim() === '')) && 
      (checkedExport && (!activeButton2 || activeButton2.trim() === ''))) {
    setProductGroupError('Product Group cannot be blank.');
    setIsLoadingShipping(false);
    return; // Stop submission if validation fails
  }
  
  if (checkedDomestic && (!activeButton1 || activeButton1.trim() === '')) {
    setProductGroupError('Domestic Product Group cannot be blank.');
    setIsLoadingShipping(false);
    return; // Stop submission if validation fails
  }
  
  if (checkedExport && (!activeButton2 || activeButton2.trim() === '')) {
    setProductGroupError('Export Product Group cannot be blank.');
    setIsLoadingShipping(false);
    return; // Stop submission if validation fails
  }
  
  if (!checkedDomestic && !checkedExport) {
    setProductGroupError('At least one Product Group must be selected.');
    setIsLoadingShipping(false);
    return; // Stop submission if validation fails
  }
     
  if (checkedDomestic) {
    if (!activeDomesticProduct || activeDomesticProduct.trim() === '') {
      setactiveDomesticProductError('Product Type cannot be blank.');
      setIsLoadingShipping(false);
      return;
    }
    if (!activeDomesticService || activeDomesticService.trim() === '') {
      setactiveDomesticServiceError('Services cannot be blank.');
      setIsLoadingShipping(false);
      return;
    }
  }

  // Validate Export details if checked
  if (checkedExport) {
    if (!activeExportProduct || activeExportProduct.trim() === '') {
      setactiveExportProductError('Product Type cannot be blank.');
      setIsLoadingShipping(false);
      return;
    }
    if (!activeExportService || activeExportService.trim() === '') {
      setactiveExportServiceError('Services cannot be blank.');
      setIsLoadingShipping(false);
      return;
    }
  }
    


      const payload = {
        checkedDomestic: checkedDomestic,
        checkedExport: checkedExport,
        productGroup1: checkedDomestic ? activeButton1 : '',
        productType1: checkedDomestic ? activeDomesticProduct : '',
        service1: checkedDomestic ? activeDomesticService : '',
        productGroup2: checkedExport ? activeButton2 : '',
        productType2: checkedExport ? activeExportProduct : '',
        service2: checkedExport ? activeExportService : '',
        selectedTime: selectedTime,
        readyAtTime: readyAtTime,
        closingTime: closingTime,
        weight: weight,
        selectedPdfSize: selectedPdfSize,
      };

      fetch('/api/submitShippingDetails', {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json',
        },
        body: JSON.stringify(payload),
      })
        .then(response => {
          if (!response.ok) {
            throw new Error('Network response was not ok');
          }
          //setShippingDetailsToast(true);
          setIsShippingSubmitVisible(false);
          setIsAddressTabVisible(true)
        
          handleSecondTabSwitch('shipper-details-tab');
        })
        .catch(error => console.error('Error:', error))
        .finally(() => {
          setIsLoadingShipping(false);
        });
    };

 
    const handleUpdateShippingDetails = () => {
      setIsLoadingShipping(true);
      // let payload;

      setWeightError('');
      setpdfSizeError('');
      setSelectedTimeError('');
      setProductGroupError('');
      setactiveDomesticProductError('');
      setactiveExportProductError('');
      setactiveDomesticServiceError('');
      setactiveExportServiceError('');

      if (!/^\d+(\.\d+)?$/.test(weight)) {
        setWeightError('Weight must be a valid number.');
        setIsLoadingShipping(false);
        return; // Stop submission if validation fails
      }
    
      if (!selectedPdfSize || selectedPdfSize.trim() === '') {
        setpdfSizeError('Select a pdf size');
        setIsLoadingShipping(false);
        return; // Stop submission if validation fails
      }

      if (!selectedTime || selectedTime.trim() === '') {
        setSelectedTimeError('Time slot cannot be blank.');
        setIsLoadingShipping(false);
        return; // Stop submission if validation fails
      }

      if ((checkedDomestic && (!activeButton1 || activeButton1.trim() === '')) && 
      (checkedExport && (!activeButton2 || activeButton2.trim() === ''))) {
    setProductGroupError('Product Group cannot be blank.');
    setIsLoadingShipping(false);
    return; // Stop submission if validation fails
  }
  
  if (checkedDomestic && (!activeButton1 || activeButton1.trim() === '')) {
    setProductGroupError('Domestic Product Group cannot be blank.');
    setIsLoadingShipping(false);
    return; // Stop submission if validation fails
  }
  
  if (checkedExport && (!activeButton2 || activeButton2.trim() === '')) {
    setProductGroupError('Export Product Group cannot be blank.');
    setIsLoadingShipping(false);
    return; // Stop submission if validation fails
  }
  
  if (!checkedDomestic && !checkedExport) {
    setProductGroupError('At least one Product Group must be selected.');
    setIsLoadingShipping(false);
    return; // Stop submission if validation fails
  }
  if (checkedDomestic) {
    if (!activeDomesticProduct || activeDomesticProduct.trim() === '') {
      setactiveDomesticProductError('Product Type cannot be blank.');
      setIsLoadingShipping(false);
      return;
    }
    if (!activeDomesticService || activeDomesticService.trim() === '') {
      setactiveDomesticServiceError('Services cannot be blank.');
      setIsLoadingShipping(false);
      return;
    }
  }

  // Validate Export details if checked
  if (checkedExport) {
    if (!activeExportProduct || activeExportProduct.trim() === '') {
      setactiveExportProductError('Product Type cannot be blank.');
      setIsLoadingShipping(false);
      return;
    }
    if (!activeExportService || activeExportService.trim() === '') {
      setactiveExportServiceError('Services cannot be blank.');
      setIsLoadingShipping(false);
      return;
    }
  }
    
    
     

      const payload = {
        checkedDomestic: checkedDomestic,
        checkedExport: checkedExport,
        productGroup1: checkedDomestic ? activeButton1 : '',
        productType1: checkedDomestic ? activeDomesticProduct : '',
        service1: checkedDomestic ? activeDomesticService : '',
        productGroup2: checkedExport ? activeButton2 : '',
        productType2: checkedExport ? activeExportProduct : '',
        service2: checkedExport ? activeExportService : '',
        selectedTime: selectedTime,
        readyAtTime: readyAtTime,
        closingTime: closingTime,
        weight: weight,
        selectedPdfSize:selectedPdfSize,
      };
  
      fetch('/api/updateShippingDetails', {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json',
        },
        body: JSON.stringify(payload),
      })
        .then(response => {
          if (!response.ok) {
            throw new Error('Network response was not ok');
          }
          setShippingDetailsToast(true);
          setIsShippingSubmitVisible(false);
          setIsAddressTabVisible(true)
        
         // handleSecondTabSwitch('shipper-details-tab');
        })
        .catch(error => console.error('Error:', error))
        .finally(() => {
          setIsLoadingShipping(false);
        });
    };



    const handleSecondTabSwitch = (tabId) => {
      setActiveTab(tabId);
      const tabIndex = tabs.findIndex(tab => tab.id === 'shipper-details-tab');
      setSelectedTab(tabIndex >= 0 ? tabIndex : 0);
    };
    
    
    const [selectedTime, setSelectedTime] = useState('');
    const [readyAtTime, setReadyAtTime] = useState('');
    const [closingTime, setClosingTime] = useState('');


    const handleSelectPdfSize = useCallback(
      (value) => setSelectedPdfSize(value),
      [],
    );

    // const pdfsize_options = [
    
    //   {label: 'A4', value: 'A4'},
    //   {label: 'A5', value: 'A5'},
    //   {label: 'A6', value: 'A6'},
    // ];


   

    const pdfsize_options = [
      { label: 'Choose PDF Size', value: '', disabled: true },
      ...pdfSizeOptions.map(size => ({
        label: size.toUpperCase(),
        value: size
      }))
    ];

    const product_type_options = [
      { label: 'Choose Product Type', value: '', disabled: true },
      ...productList.map(type => ({
        label: `${type} (${productListFF[productList.indexOf(type)]})`,
        value: type
      }))
    ];

    const product_service_options = [
      { label: 'Choose Services', value: '', disabled: true },
      ...serviceList.map(type => ({
        label: `${type} (${serviceListFF[serviceList.indexOf(type)]})`,
        value: type
      }))
    ];

    

    const handleSelectChange = useCallback(
      (value) => setSelectedTime(value),
      [],
    );

    useEffect(() => {
      if (selectedTime) {
        const [readyAt, closing] = selectedTime.split(' - ');
        setReadyAtTime(readyAt);
        setClosingTime(closing);
      }
    }, [selectedTime]);
  


    const options = [
      { label: 'Select time slot', value: '', disabled: true },
      {label: '06:00 - 09:00', value: '06:00 - 09:00'},
      {label: '09:00 - 12:00', value: '9:00 - 12:00'},
      {label: '12:00 - 15:00', value: '12:00 - 15:00'},
      {label: '15:00 - 18:00', value: '15:00 - 18:00'},
      {label: '18:00 - 21:00', value: '18:00 - 21:00'},
    ];


    const [value, setValue] = useState('');

    const handleChangeTime = useCallback(
      (newValue) => setValue(newValue),
      [],
    );

    const [weight, setWeight] = useState('1');
    const handleChangeWeight = useCallback(
      (newValue) => setWeight(newValue),
      [],
    );




    const [addressType, setAddressType] = useState('');
    const handleAddressType = useCallback(
      (value) => setAddressType(value),
      [],
    );

   
    const address_type_options = [
      { label: '', value: '', disabled: true },
      {label: 'Home', value: 'Home'},
      {label: 'Work', value: 'Work'},
      {label: 'Others', value: 'Others'}
    ];


    const [country, setCountry] = useState('');
    const [city, setCity] = useState('');

    const handleCountry = useCallback(
      (value) => {
        setCountry(value);
        sendDataToBackend(value);
      },
      [],
    );

    
    
    const sendDataToBackend = async (countryValue) => {
      const endpoint = '/api/sendCountries';
    
      try {
        const response = await fetch(endpoint, {
          method: 'POST',
          headers: {
            'Content-Type': 'application/json',
          },
          body: JSON.stringify({ country: countryValue }),
        });
    
        if (response.ok) {
          const responseCity = await response.json();
          const citiesString = responseCity.cities; 
          const citiesArray = citiesString.split(',').map(city => city.trim());
          setCities(citiesArray);
      
          console.log('Country data sent successfully', responseCity);
        } else {
          console.error('Failed to send country data');
        }
      } catch (error) {
        console.error('Error sending country data:', error);
      }
    };
    
    
    const country_options =[{ label: '', value: '', disabled: true }, 
      ...countries.map(country => {
        const [label, value] = country.split('-'); // Splitting the string into label and value
        return {
          label: label,
          value: value
        };
      })
  ];


  const city_options = [
    { label: '', value: ''},
    ...cities.map(city => ({
      label: city,
      value: city
    }))
  ];
 

  const handleChangeCity = useCallback(
    (newValue) => setCity(newValue),
   
    [],
  );
  //console.log(city);


  const [primaryCode, setPrimaryCode] = useState('');
    const [secondaryCode, setSecondaryCode] = useState('');



  const handleCountryCodePrimary = useCallback(
    (value) => {
      setPrimaryCode(value);
    },
    [],
  );
  const handleCountryCodeSecondary = useCallback(
    (value) => {
      setSecondaryCode(value);
    },
    [],
  );

  const country_codes_primary =[
    { label: '', value: ''},
    ...codes.map(code => ({
      label: code,
      value: code
    }))
];

const country_codes_secondary =[
  { label: '', value: ''},
    ...codes.map(code => ({
      label: code,
      value: code
    }))
];


    const [companyName, setCompanyName] = useState('');
    const [primaryCompanyName, setPrimaryCompanyName] = useState('');
    const [primaryContactPerson, setPrimaryContactPerson] = useState('');
    const [primaryContactNumber, setPrimaryContactNumber] = useState('');
    const [secondaryContactPerson, setSecondaryContactPerson] = useState('');
    const [secondaryContactNumber, setSecondaryContactNumber] = useState('');
    const [landmark, setlandmark] = useState('');
    const [zipcode, setzipcode] = useState('');
    const [addressLine, setAddressLine] = useState('');
    const [isLoadingAddressDelete, setIsLoadingAddressDelete] = useState(false);
    const [showConfirmation, setShowConfirmation] = useState(false);

  const handleConfirmationProceed = () => {
    setIsDefaultAddress(true); // Set default address if user confirms
    setShowConfirmation(false); // Close confirmation dialog
  };

  const handleConfirmationCancel = () => {
    setShowConfirmation(false); // Close confirmation dialog if user cancels
  };
 
  const handleAddressDetailsDelete = useCallback(async () => {
   
    setIsLoadingAddressDelete(true);
  
    try {
      const response = await fetch('/api/deleteCompany', {
        method: 'DELETE',
        headers: {
          'Content-Type': 'application/json',
        },
        body: JSON.stringify({
          selectedCompanyId: selectedCompanyId
        }),
      });
  
      if (!response.ok) {
        throw new Error('Network response was not ok');
      }
  
   
      const result = await response.json();

      if (result.success) {
        const { remainingCompanies, defaultCompany } = result.data;
  
        setCompanyDetails(remainingCompanies);
      
        if (defaultCompany) {
          setSelectedCompanyDetails(defaultCompany);
          setSelectedCompanyId(defaultCompany.id.toString());
        } else {
          setSelectedCompanyDetails(null);
          setSelectedCompanyId(null);
          setShipperDetailsSubmitted(true);
          navigate('/');
          }
  
        setAddressDetailsToast({
          show: true,
          message: 'Company deleted successfully',
        });
      } else {
      
        console.error(result.message);
        setAddressDetailsToast({
          show: true,
          message: result.message || 'Failed to delete company',
          isError: true,
        });
      }
    } catch (error) {
    
      console.error('Error deleting company details:', error);
      setAddressDetailsToast({
        show: true,
        message: 'Error deleting company details',
        isError: true,
      });
    } finally {
      setIsLoadingAddressDelete(false);
    }
  }, [selectedCompanyId, navigate]);

    const handleChangeCompanyName = useCallback(
      (newValue) => setCompanyName(newValue),
      [],
    );
    
    const handleChangePrimaryContactPerson = useCallback(
      (newValue) => setPrimaryContactPerson(newValue),
      [],
    );
    const handleChangePrimaryContactNumber = useCallback(
      (newValue) => setPrimaryContactNumber(newValue),
      [],
    );
    const handleChangeSecondaryContactPerson = useCallback(
      (newValue) => setSecondaryContactPerson(newValue),
      [],
    );
    const handleChangeSecondaryContactNumber = useCallback(
      (newValue) => setSecondaryContactNumber(newValue),
      [],
    );
    const handleChangeLandmark = useCallback(
      (newValue) => setlandmark(newValue),
      [],
    );
    const handleChangeZipcode = useCallback(
      (newValue) => setzipcode(newValue),
      [],
    );
    const handleChangeAddressLine = useCallback(
      (newValue) => setAddressLine(newValue),
      [],
    );
    
    
    const [companyNameError, setCompanyNameError] = useState('');
    const [primaryCompanyNameError, setPrimaryCompanyNameError] = useState('');
    const [primaryContactPersonError, setPrimaryContactPersonError] = useState('');
    const [primaryContactNumberError, setPrimaryContactNumberError] = useState('');
    const [secondaryContactPersonError, setSecondaryContactPersonError] = useState('');
    const [secondaryContactNumberError, setSecondaryContactNumberError] = useState('');
    const [landmarkError, setLandmarkError] = useState('');
    const [countryError, setCountryError] = useState('');
    const [cityError, setCityError] = useState('');
    const [primaryCodeError, setPrimaryCodeError] = useState('');
    const [addressLineError, setAddressLineError] = useState('');


    const [companyNameErrorShipper, setCompanyNameErrorShipper] = useState('');
    const [primaryContactPersonErrorShipper, setPrimaryContactPersonErrorShipper] = useState('');
    const [primaryContactNumberErrorShipper, setPrimaryContactNumberErrorShipper] = useState('');
    const [secondaryContactPersonErrorShipper, setSecondaryContactPersonErrorShipper] = useState('');
    const [secondaryContactNumberErrorShipper, setSecondaryContactNumberErrorShipper] = useState('');
    const [landmarkErrorShipper, setLandmarkErrorShipper] = useState('');
    const [countryErrorShipper, setCountryErrorShipper] = useState('');
    const [cityErrorShipper, setCityErrorShipper] = useState('');
    const [primaryCodeErrorShipper, setPrimaryCodeErrorShipper] = useState('');
    const [addressLineErrorShipper, setAddressLineErrorShipper] = useState('');

    
    const [isModalOpen, setIsModalOpen] = useState(false); 
    const [isLoadingModal, setIsLoadingModal] = useState(false); 
    const [isDefaultAddress, setIsDefaultAddress] = useState(false);
   
    const handleRefresh = () => {
     navigate('/Orders');
    };
  
       
    const saveNewAddress = () => {
      // Show the modal when the button is clicked
      setIsModalOpen(true);
    };
  
    const handleModalClose = () => {
    
      setIsModalOpen(false);
    };  
    
    const handleDefaultAddressChange = useCallback((checked) => {
      setIsDefaultAddress(checked);
    }, []);


    const handleModalSave = useCallback(async(event) => {
      event.preventDefault();
    
      setIsLoadingModal(true);
      let valid = true;
    
      // Clear any previous error messages
      setCompanyNameError('');
      setPrimaryContactPersonError('');
      setPrimaryContactNumberError('');
      setSecondaryContactPersonError('');
      setSecondaryContactNumberError('');
      setLandmarkError('');
      setCountryError('');
      setCityError('');
      setPrimaryCodeError('');
      setAddressLineError('');
      setIsAddressSubmitVisible(true);
      // Validate each mandatory field
      if (!companyName || companyName.trim() === '') {
        setCompanyNameError('Company Name is required.');
        valid = false;
        
      }
    
      if (!primaryContactPerson || primaryContactPerson.trim() === '') {
        setPrimaryContactPersonError('Primary Contact Person is required.');
        valid = false;
       
      } else if (!/^[a-zA-Z\s]+$/.test(primaryContactPerson)) {
        setPrimaryContactPersonError('Valid Primary Contact Person is required.');
        valid = false;
        
      }

      if (!primaryCode || primaryCode.trim() === '') {
        setPrimaryCodeError('Primary Contact Code is required.');
        valid = false;
       
      }

      if (!primaryContactNumber || primaryContactNumber.trim() === '') {
        setPrimaryContactNumberError('Primary Contact Number is required.');
        valid = false;
       
      } else if (!/^\d+$/.test(primaryContactNumber.trim())) {
        setPrimaryContactNumberError('Valid Primary Contact Number is required.');
        valid = false;
       
      }
    
      if (secondaryContactPerson && secondaryContactPerson.trim() !== '') {
        if (!/^[a-zA-Z\s]+$/.test(secondaryContactPerson.trim())) {
          setSecondaryContactPersonError('Valid Secondary Contact Person is required.');
          valid = false;
          
        }
      }
    
    

      if (secondaryContactNumber && secondaryContactNumber.trim() !== '') {
        if (!/^\d+$/.test(secondaryContactNumber.trim())) {
          setSecondaryContactNumberError('Valid Secondary Contact Number is required.');
          valid = false;
          
        }
      }
      
   
      if (!landmark || landmark.trim() === '') {
        setLandmarkError('Landmark is required.');
        valid = false;
       
      }
    
      if (!addressLine || addressLine.trim() === '') {
        setAddressLineError('Address Line is required.');
        valid = false;
        
      }
     
    
      if (!country || country.trim() === '') {
        setCountryError('Country is required.');
        valid = false;
        
      }
    
      if (!city || city.trim() === '') {
        setCityError('City is required.');
        valid = false;
       
      }

      if (!valid) {
        setIsLoadingAddress(false);
        setIsLoadingModal(false);
        return;
      }
    
      // If all mandatory fields are valid, submit the form
      if (valid) {
        const payload = {
        companyName,
         primaryContactPerson,
         primaryContactNumber,
          secondaryContactPerson,
         secondaryContactNumber,
         landmark,
         zipcode,
         addressLine,
          addressType,
          country,
          city,
         primaryCode,
         secondaryCode,
         isDefaultAddress
        };
        

        try {

          const response = await fetch('/api/saveNewShipperAddress', {
            method: 'POST',
            headers: {
              'Content-Type': 'application/json',
            },
            body: JSON.stringify(payload),
          });
    
          if (!response.ok) 
            
            {
            throw new Error('Network response was not ok');
          }
    
          const result = await response.json();
          if (result.data) {
            setCompanyDetails(prevDetails => [...prevDetails, result.data]);
            if(result.data.is_default)
            {
            setSelectedCompanyDetails(result.data);
            setSelectedCompanyId(result.data.id.toString());
            }
          }
          if(result.submit_status)
          {
            setSubmitStatus(true);
          }
          if(result.refresh_status)
            {
              setRefreshStatus(true);
            }
        //setAddressDetailsToast(true);
        setAddressDetailsToast({
          show: true,
          message: 'Shipper details added successfully',
        });
        setShowOrders(false);
        setCompanyName('');
        setPrimaryContactPerson('');
        setPrimaryContactNumber('');
        setSecondaryContactPerson('');
        setSecondaryContactNumber('');
        setlandmark('');
        setzipcode('');
        setAddressLine('');
        setAddressType('');
        setCountry('');
        setCity('');
        setPrimaryCode('');
        setSecondaryCode('');
        setIsDefaultAddress(false);
        setIsModalOpen(false);
        } catch (error) {
          console.error('Error saving new shipper address:', error);
        } finally {
          setIsLoadingModal(false);
        }
          
      }
      
    });
    const handleChangePrimaryCompanyName = useCallback((value) => {
      setSelectedCompanyDetails(prevState => ({
        ...prevState,
        company_name: value,
      }));
      setPrimaryCompanyNameError('');
    }, []);

    const handleChangePrimaryContactPersonShipper = useCallback((value) => {
      setSelectedCompanyDetails(prevState => ({
        ...prevState,
        primary_contact_person: value,
      }));
      setPrimaryContactPersonError('');
    }, []);
  
    const handleCountryCodePrimaryShipper = useCallback((value) => {
      setSelectedCompanyDetails(prevState => ({
        ...prevState,
        primary_contact_number_code: value,
      }));
      setPrimaryCodeError('');
    }, []);
  
    const handleChangePrimaryContactNumberShipper = useCallback((value) => {
      setSelectedCompanyDetails(prevState => ({
        ...prevState,
        primary_contact_number: value,
      }));
      setPrimaryContactNumberError('');
    }, []);
  
    const handleChangeSecondaryContactPersonShipper = useCallback((value) => {
      setSelectedCompanyDetails(prevState => ({
        ...prevState,
        secondary_contact_person: value,
      }));
      setSecondaryContactPersonError('');
    }, []);
  
    const handleCountryCodeSecondaryShipper = useCallback((value) => {
      setSelectedCompanyDetails(prevState => ({
        ...prevState,
        secondary_contact_number_code: value,
      }));
    }, []);
  
    const handleChangeSecondaryContactNumberShipper = useCallback((value) => {
      setSelectedCompanyDetails(prevState => ({
        ...prevState,
        secondary_contact_number: value,
      }));
      setSecondaryContactNumberError('');
    }, []);
  
    const handleAddressTypeShipper = useCallback((value) => {
      setSelectedCompanyDetails(prevState => ({
        ...prevState,
        address_type: value,
      }));
    }, []);
  
    const handleCountryShipper = useCallback((value) => {
      setSelectedCompanyDetails(prevState => ({
        ...prevState,
        country: value,
      }));
      setCountryError('');
    }, []);
  
    const handleChangeCityShipper = useCallback((value) => {
      setSelectedCompanyDetails(prevState => ({
        ...prevState,
        city: value,
      }));
      setCityError('');
    }, []);
  
    const handleChangeLandmarkShipper = useCallback((value) => {
      setSelectedCompanyDetails(prevState => ({
        ...prevState,
        landmark: value,
      }));
      setLandmarkError('');
    }, []);
  
    const handleChangeZipcodeShipper = useCallback((value) => {
      setSelectedCompanyDetails(prevState => ({
        ...prevState,
        zipcode: value,
      }));
    }, []);
  
    const handleChangeAddressLineShipper = useCallback((value) => {
      setSelectedCompanyDetails(prevState => ({
        ...prevState,
        address_line: value,
      }));
      setAddressLineError('');
    }, []);
  
      const handleSubmitAddressDetails = useCallback(async(event) => {
      event.preventDefault();
      setIsLoadingAddress(true);
      let valid = true;
    
      // Clear any previous error messages
      setPrimaryCompanyNameError('');
      setPrimaryContactPersonErrorShipper('');
      setPrimaryContactNumberErrorShipper('');
      setSecondaryContactPersonErrorShipper('');
      setSecondaryContactNumberErrorShipper('');
      setLandmarkErrorShipper('');
      setCountryErrorShipper('');
      setCityErrorShipper('');
      setPrimaryCodeErrorShipper('');
      setAddressLineErrorShipper('');
    
      if (!selectedCompanyDetails.company_name || selectedCompanyDetails.company_name.trim() === '') {
        setPrimaryCompanyNameError('Company name is required.');
        valid = false;
      } 

      if (!selectedCompanyDetails.primary_contact_person || selectedCompanyDetails.primary_contact_person.trim() === '') {
        setPrimaryContactPersonErrorShipper('Primary Contact Person is required.');
        valid = false;
      } else if (!/^[a-zA-Z\s]+$/.test(selectedCompanyDetails.primary_contact_person)) {
        setPrimaryContactPersonErrorShipper('Valid Primary Contact Person is required.');
        valid = false;
      }

      if (!selectedCompanyDetails.primary_contact_number_code || selectedCompanyDetails.primary_contact_number_code.trim() === '') {
        setPrimaryCodeErrorShipper('Primary Contact Code is required.');
        valid = false;
      }

      if (!selectedCompanyDetails.primary_contact_number || selectedCompanyDetails.primary_contact_number.trim() === '') {
        setPrimaryContactNumberErrorShipper('Primary Contact Number is required.');
        valid = false;
      } else if (!/^\d+$/.test(selectedCompanyDetails.primary_contact_number.trim())) {
        setPrimaryContactNumberErrorShipper('Valid Primary Contact Number is required.');
        valid = false;
      }
         
                 
      if (!selectedCompanyDetails.landmark || selectedCompanyDetails.landmark.trim() === '') {
        setLandmarkErrorShipper('Landmark is required.');
        valid = false;
      }
    
      if (!selectedCompanyDetails.address_line || selectedCompanyDetails.address_line.trim() === '') {
        setAddressLineErrorShipper('Address Line is required.');
        valid = false;
      }
    
     
    
      if (!selectedCompanyDetails.country || selectedCompanyDetails.country.trim() === '') {
        setCountryErrorShipper('Country is required.');
        valid = false;
      }
    
      if (!selectedCompanyDetails.city || selectedCompanyDetails.city.trim() === '') {
        setCityErrorShipper('City is required.');
        valid = false;
      }

      if (!valid) {
        setIsLoadingAddress(false);
        return;
      }
    
      // If all mandatory fields are valid, submit the form
      if (valid) {
        const payload = {
          companyId: selectedCompanyId,
          company_name:selectedCompanyDetails.company_name,
          primaryContactPerson: selectedCompanyDetails.primary_contact_person,
          primaryContactNumber: selectedCompanyDetails.primary_contact_number,
          secondaryContactPerson: selectedCompanyDetails.secondary_contact_person,
          secondaryContactNumber: selectedCompanyDetails.secondary_contact_number,
          landmark: selectedCompanyDetails.landmark,
          zipcode: selectedCompanyDetails.zipcode,
          addressLine: selectedCompanyDetails.address_line,
          addressType: selectedCompanyDetails.address_type,
          country: selectedCompanyDetails.country,
          city: selectedCompanyDetails.city,
          primaryCode: selectedCompanyDetails.primary_contact_number_code,
          secondaryCode: selectedCompanyDetails.secondary_contact_number_code,
          isDefaultAddressShipper: selectedCompanyDetails.is_default
        };
        const response = await fetch('/api/submitAddressDetails', {
          method: 'POST',
          headers: {
            'Content-Type': 'application/json',
          },
          body: JSON.stringify(payload),
        })
          
            if (!response.ok) {
              throw new Error('Network response was not ok');
            }
            const result = await response.json();
            const { default_detail, all_details } = result;

    setCompanyDetails(all_details); 
    setSelectedCompanyDetails(default_detail);
    setSelectedCompanyId(default_detail.id.toString());
    setIsLoadingAddress(false);
   // setAddressDetailsToast(true);
   setAddressDetailsToast({
    show: true,
    message: 'Shipper details updated successfully',
  });
    setIsAddressSubmitVisible(false);
                                     
      }
    });
        const [checkedDomestic, setCheckedDomestic] = useState(true);
        const [checkedExport, setCheckedExport] = useState(false);

  const handleButtonClick = (buttonType) => {
    setActiveButton1(buttonType);
    setActiveButton2(buttonType);
    
  };

  const handleChangeDomestic = useCallback(
    (event) => {
      const newChecked = event.target.checked;
      setCheckedDomestic(newChecked);
      if (newChecked) {
        setActiveButton1('Domestic');
      } else if (!newChecked && !checkedExport) {
        setActiveButton1('');
      }
    },
    [checkedExport]
  );
  
  const handleChangeExport = useCallback(
    (event) => {
      const newChecked = event.target.checked;
      setCheckedExport(newChecked);
      if (newChecked) {
        setActiveButton2('Export');
      } else if (!newChecked && !checkedDomestic) {
        setActiveButton2('');
      }
    },
    []
  );

 
  // const handleBothChecked = useCallback(() => {
  //   handleButtonClick('export');
  // }, []);
  
  const renderMultipleContent = () => {
    if (checkedDomestic && checkedExport) {
      return (
        <>
        <div style={{ display: 'block' }}>

        <div className={activeButton1 === 'Domestic' ? 'Domestic' : 'Domestic-hidden'} style={{ display: 'block' , marginTop: '15px',border:'1px solid black',padding:'10px'}}>
           <div style={{ fontWeight: '700',textTransform:'uppercase' ,marginBottom: '10px'}}>Domestic</div>
           {/* <div style={{ marginBottom: '15px',fontWeight: '700' }}> Product Type</div>
           <div style={{ display: 'flex', flexWrap: 'wrap',gap: '10px',justifyContent: 'space-between' }}>
           <div style={{ border: activeDomesticProduct === 'DN' ? '2px solid red' : 'none', borderRadius: '.25rem'}}>
            <Button 
                    onClick={() => handleDomesticProductClick('DN')}
                  >Domestic Non-Document (DN)</Button>
                  </div>
                  <div style={{ border: activeDomesticProduct === 'DD' ? '2px solid red' : 'none', borderRadius: '.25rem'}}>
                  <Button 
                    onClick={() => handleDomesticProductClick('DD')}
                    style={{ border: activeDomesticProduct === 'DD' ? '2px solid red' : 'none', borderRadius: '.25rem' }}
                  >Domestic Document (DD)</Button>
                  </div>
           </div> */}

<Select
  label="Choose Product Type"
  options={product_type_options}
  onChange={handleDomesticProductClick}
  value={activeDomesticProduct}
   error={activeDomesticProductError ? activeDomesticProductError : null}
/>


           {/* <div style={{ marginBottom: '15px', marginTop: '15px' ,fontWeight: '700'}}> Services</div>
           <div style={{ display: 'flex', flexWrap: 'wrap',gap: '10px',justifyContent: 'space-between' }}>
           <div style={{ border: activeDomesticService === 'NDD' ? '2px solid red' : 'none', borderRadius: '.25rem'}}>
           <Button 
                    onClick={() => handleDomesticServiceClick('NDD')}
                    style={{ border: activeDomesticService === 'NDD' ? '2px solid red' : 'none' , borderRadius: '.25rem'}}
                  >Next day delivery (NDD)</Button>
                   </div>
           </div> */}

        <Select
          label="Choose Services"
          options={product_service_options}
          onChange={handleDomesticServiceClick}
          value={activeDomesticService}
          error={activeDomesticServiceError ? activeDomesticServiceError : null}
        />

           </div>

     
        <div className={activeButton2 === 'Export' ? 'Export' : 'Export-hidden'} style={{ display: 'block' , marginTop: '15px',border:'1px solid black',padding:'10px'}}>
        <div style={{ fontWeight: '700',textTransform:'uppercase' ,marginBottom: '10px'}}>International</div>
        {/* <div style={{ marginBottom: '15px',fontWeight:'700' }}> Product Type</div>
           <div style={{ display: 'flex', flexWrap: 'wrap',gap: '10px',justifyContent: 'space-between' }}>
           
                  <div style={{ border: activeExportProduct === 'IDN' ? '2px solid red' : 'none', borderRadius: '.25rem'}}>
            <Button 
                    onClick={() => handleExportProductClick('IDN')}
                    style={{ border: activeExportProduct === 'IDN' ? '2px solid red' : 'none', borderRadius: '.25rem' }}
                  >International Non-Document (IDN)</Button>
                  </div>
           </div> */}

        <Select
          label="Choose Product Type"
          options={product_type_options}
          onChange={handleExportProductClick}
          value={activeExportProduct}
          error={activeExportProductError ? activeExportProductError : null}
        />


           {/* <div style={{ marginBottom: '15px', marginTop: '15px' ,fontWeight:'700'}}> Services</div>
           <div style={{ display: 'flex', flexWrap: 'wrap',gap: '10px',justifyContent: 'space-between' }}>
           <div style={{ border: activeExportService === 'NDD' ? '2px solid red' : 'none', borderRadius: '.25rem'}}>
            <Button 
                    onClick={() => handleExportServiceClick('NDD')}
                    style={{ border: activeExportService === 'NDD' ? '2px solid red' : 'none', borderRadius: '.25rem' }}
                  >Next day delivery (NDD)</Button>
                  </div>
           </div> */}
         
         <Select
          label="Choose Services"
          options={product_service_options}
          onChange={handleExportServiceClick}
          value={activeExportService}
          error={activeExportServiceError ? activeExportServiceError : null}
        />

        </div>

        </div>
        </>
      );
    }
    return null; 
  };
  

  const tabs = [
    {
      id: 'account-details-tab',
      content: 'Account Details',
      panelID: 'account-details-panel',
      renderContent: () => (
        <LegacyCard.Section>
          <Form onSubmit={handleSubmit}>
            <FormLayout>
              <TextField
                id="apiKey"
                value={apiKey}
                onChange={handleUrlChange}
                label="API Key"
                type="text"
                autoComplete="off"
                error={apiKeyError ? apiKeyError : null}
              />
              
              <TextField
                id="customerCode"
                value={customerCode}
                onChange={handleCustomerCodeChange}
                label="Customer Code"
                type="text"
                autoComplete="off"
                error={customerCodeError ? customerCodeError : null}
              />
              <div class="accessDetailsSubmit" style={{display: 'flex'}}>
                {isSubmitVisible ? (
                  <Button submit loading={isLoadingAccount}>Submit</Button>
                ) : (
                  <Button onClick={handleEditClick} loading={isLoadingAccount}>Update</Button>
                )}
              </div>
            </FormLayout>
          </Form>
          {showToast && (
            <Toast
              content="Data added successfully"
              onDismiss={() => setShowToast(false)}
            />
          )}

          {showApiToast && (
            <Toast
              content="Invalid API key submitted"
              onDismiss={() => setShowApiToast(false)}
            />
          )}
          
        </LegacyCard.Section>
      )
    },
    {
      id: 'shipping-details-tab',
      content: 'Shipping Details',
      panelID: 'shipping-details-panel',
      renderContent: () => (
        <LegacyCard.Section>
          
           {isTabVisible ? (     
           <>
           <div style={{ marginBottom: '15px',fontWeight:'700' }}>Choose product group</div>
           <div style={{ display: 'flex', flexWrap: 'wrap',gap: '52px' ,justifyContent: 'flex-start' ,marginBottom:'10px'}}>
           <div className="GroupCheckbox">     
           
        <input
          type="checkbox"
          checked={checkedDomestic}
          onChange={handleChangeDomestic}
        />
        <label>Domestic</label>

                  </div>
             <div className="GroupCheckbox">
        <input
          type="checkbox"
          checked={checkedExport}
          onChange={handleChangeExport}
        />
        <label>International</label>

             </div>
           </div>

           <div style={{ display: 'flex', flexWrap: 'wrap',gap: '30px' ,justifyContent: 'flex-start' }}>
           <div style={{ border: activeButton1 === 'Domestic' && checkedDomestic ? '2px solid red' : 'none', borderRadius: '.25rem'}}>
             <Button> 
              <div style={{ textAlign: 'center'}}>
              <Image
                    source={domesticImage}
                    alt={'domesticImage'}
                    width={40}
                    height={40}
                  />
                  <div>Domestic</div>
                  </div>
                  </Button>
                  </div>
                  {/* <div style={{ border: activeButton1 === 'import' ? '2px solid red' : 'none', borderRadius: '.25rem'}}>
             <Button>
             <div style={{ textAlign: 'center'}}>
              <Image
                    source={importImage}
                    alt={'importImage'}
                    width={40}
                    height={40}
                  />
                  <div>Import</div>
                  </div>
             </Button>
             </div> */}
             <div style={{ border: activeButton2 === 'Export' && checkedExport ? '2px solid red' : 'none', borderRadius: '.25rem'}}>
             <Button>
             <div style={{ textAlign: 'center' }}>
              <Image
                    source={exportImage}
                    alt={'exportImage'}
                    width={40}
                    height={40}
                  />
                  <div>International</div>
                  </div>
             </Button>
             </div>
           </div>
            
           {checkedDomestic &&  !checkedExport &&(

           <div className={activeButton1 === 'Domestic' ? 'Domestic' : 'Domestic-hidden'} style={{ display: activeButton1 === 'Domestic' ? 'block' : 'none', marginTop: '15px',border:'1px solid black',padding:'10px'}}>
           <div style={{ fontWeight: '700',textTransform:'uppercase' ,marginBottom: '10px'}}>Domestic</div>
           {/* <div style={{ marginBottom: '15px',fontWeight:'700' ,fontWeight:'700'}}>Product Type</div>
           <div style={{ display: 'flex', flexWrap: 'wrap',gap: '10px',justifyContent: 'space-between' }}>
           <div style={{ border: activeDomesticProduct === 'DN' ? '2px solid red' : 'none', borderRadius: '.25rem'}}>
            <Button 
                    onClick={() => handleDomesticProductClick('DN')}
                  >Domestic Non-Document (DN)</Button>
                  </div>
                  <div style={{ border: activeDomesticProduct === 'DD' ? '2px solid red' : 'none', borderRadius: '.25rem'}}>
                  <Button 
                    onClick={() => handleDomesticProductClick('DD')}
                    style={{ border: activeDomesticProduct === 'DD' ? '2px solid red' : 'none', borderRadius: '.25rem' }}
                  >Domestic Document (DD)</Button>
                  </div>
           </div> */}

        <Select
          label="Choose Product Type"
          options={product_type_options}
          onChange={handleDomesticProductClick}
          value={activeDomesticProduct}
          error={activeDomesticProductError ? activeDomesticProductError : null}
        />

           {/* <div style={{ marginBottom: '15px', marginTop: '15px',fontWeight:'700' }}>Services</div>
           <div style={{ display: 'flex', flexWrap: 'wrap',gap: '10px',justifyContent: 'space-between' }}>
           <div style={{ border: activeDomesticService === 'NDD' ? '2px solid red' : 'none', borderRadius: '.25rem'}}>
           <Button 
                    onClick={() => handleDomesticServiceClick('NDD')}
                    style={{ border: activeDomesticService === 'NDD' ? '2px solid red' : 'none' , borderRadius: '.25rem'}}
                  >Next day delivery (NDD)</Button>
                   </div>
           </div> */}

        <Select
          label="Choose Services"
          options={product_service_options}
          onChange={handleDomesticServiceClick}
          value={activeDomesticService}
          error={activeDomesticServiceError ? activeDomesticServiceError : null}
        />

           </div>
     )}

{renderMultipleContent()}


{/* {checkedDomestic && checkedExport && (
           <div className={activeButton1 === 'import' ? 'import' : 'import-hidden'} style={{ display: activeButton1 === 'import' ? 'block' : 'none' , marginTop: '15px',border:'1px solid black',padding:'10px'}}>
           <div style={{ marginBottom: '15px' ,fontWeight:'700'}}>Product Type</div>
           <div style={{ display: 'flex', flexWrap: 'wrap',gap: '10px', justifyContent: 'space-between' }}>
           <div style={{ border: activeImportProduct === 'CHC' ? '2px solid red' : 'none', borderRadius: '.25rem'}}>
           <Button 
                    onClick={() => handleImportProductClick('CHC')}
                    style={{ border: activeImportProduct === 'CHC' ? '2px solid red' : 'none', borderRadius: '.25rem' }}
                  >Cash Collection (CHC)</Button>
                   </div>
           </div>
           <div style={{ marginBottom: '15px', marginTop: '15px',fontWeight:'700' }}>Services</div>
           <div style={{ display: 'flex', flexWrap: 'wrap',gap: '10px',justifyContent: 'space-between' }}>
           <div style={{ border: activeImportService === 'NDD' ? '2px solid red' : 'none', borderRadius: '.25rem'}}>
          <Button 
                    onClick={() => handleImportServiceClick('NDD')}
                    style={{ border: activeImportService === 'NDD' ? '2px solid red' : 'none', borderRadius: '.25rem' }}
                  >Next day delivery (NDD)</Button>
                    </div>
           </div>
           </div>
     )} */}

{!checkedDomestic && checkedExport && (
           <div className={activeButton2 === 'Export' ? 'Export' : 'Export-hidden'} style={{ display: activeButton2 === 'Export' ? 'block' : 'none' , marginTop: '15px',border:'1px solid black',padding:'10px'}}>
           <div style={{ fontWeight: '700',textTransform:'uppercase' ,marginBottom: '10px'}}>International</div>
           {/* <div style={{ marginBottom: '15px',fontWeight:'700' }}>Product Type</div>
           <div style={{ display: 'flex', flexWrap: 'wrap',gap: '10px',justifyContent: 'space-between' }}>
           
                  <div style={{ border: activeExportProduct === 'IDN' ? '2px solid red' : 'none', borderRadius: '.25rem'}}>
            <Button 
                    onClick={() => handleExportProductClick('IDN')}
                    style={{ border: activeExportProduct === 'IDN' ? '2px solid red' : 'none', borderRadius: '.25rem' }}
                  >International Non-Document (IDN)</Button>
                  </div>
           </div> */}

        <Select
          label="Choose Product Type"
          options={product_type_options}
          onChange={handleExportProductClick}
          value={activeExportProduct}
          error={activeExportProductError ? activeExportProductError : null}
        />

           {/* <div style={{ marginBottom: '15px', marginTop: '15px' ,fontWeight:'700'}}>Services</div>
           <div style={{ display: 'flex', flexWrap: 'wrap',gap: '10px',justifyContent: 'space-between' }}>
           <div style={{ border: activeExportService === 'NDD' ? '2px solid red' : 'none', borderRadius: '.25rem'}}>
            <Button 
                    onClick={() => handleExportServiceClick('NDD')}
                    style={{ border: activeExportService === 'NDD' ? '2px solid red' : 'none', borderRadius: '.25rem' }}
                  >Next day delivery (NDD)</Button>
                  </div>
           </div> */}

        <Select
          label="Choose Services"
          options={product_service_options}
          onChange={handleExportServiceClick}
          value={activeExportService}
          error={activeExportServiceError ? activeExportServiceError : null}
        />

           </div>

)}
           {productGroupError && (
          <p style={{ color: 'red', fontSize: '0.8rem', marginTop: '0.2rem' }}>{productGroupError}</p>
        )}  

       
           <div style={{ marginBottom: '15px', marginTop: '15px',fontWeight:'700' }}>Weight(in kg)</div>
           <div style={{width:'100%'}}>
          <TextField
      value={weight}
      onChange={handleChangeWeight}
      autoComplete="off"
      placeholder="Weight"
      error={weightError ? weightError : null}
    />
    </div>

    <div style={{ marginBottom: '15px', marginTop: '15px',fontWeight:'700' }}>AWB Pdf Size</div>
              <Select
          options={pdfsize_options}
          onChange={handleSelectPdfSize}
          value={selectedPdfSize}
          error={pdfSizeError ? pdfSizeError : null}    
        />



           <div style={{ marginBottom: '15px', marginTop: '15px',fontWeight:'700' }}>Choose Time Slot</div>
              <Select
          options={options}
          onChange={handleSelectChange}
          value={selectedTime}
          error={selectedTimeError ? selectedTimeError : null}    
        />
        <div style={{ display: 'flex', gap: '15px' ,justifyContent:'space-between' ,marginTop:'15px'}}>
        <div style={{width:'100%'}}>
          <TextField
      value={readyAtTime}
      onChange={handleChangeTime}
      autoComplete="off"
      placeholder="Ready At Time"
      InputProps={{
        readOnly: true,
      }}
    />
    </div>
    <div style={{width:'100%'}}>
     <TextField
      value={closingTime}
      onChange={handleChangeTime}
      autoComplete="off"
       placeholder="Closing Time"
       InputProps={{
        readOnly: true,
      }}
    />
    </div>
        </div>

           <div class="SubmitShippingDetails" style={{ marginTop:'15px'}}>

           {isShippingSubmitVisible ? (
                  <Button loading={isLoadingShipping} onClick={handleSubmitShippingDetails} >Submit</Button>
                ) : (
                  <Button loading={isLoadingShipping} onClick={handleUpdateShippingDetails} >Update</Button>
                )}


           
           </div>
           {shippingDetailsToast && (
                <Toast
                  content="Shipping details submitted successfully"
                  onDismiss={() => setShippingDetailsToast(false)}
                />
              )}
         </>
           )
            : (
              <div class="emptystateDiv">
              <EmptyState
                heading="Submit your Account Details" 
                image="https://cdn.shopify.com/s/files/1/0262/4071/2726/files/emptystate-files.png"
               
              >
            <div class="GoToSubmit">
               <Button onClick={() => handleTabSwitch('account-details-tab')}>
              Go to Submit
            </Button>
            </div>
              </EmptyState>
              </div>
            )}
        </LegacyCard.Section>
      )
    },
    {
      id: 'shipper-details-tab',
      content: 'Shipper Details',
      panelID: 'shipper-details-panel',
      renderContent: () => (
        <LegacyCard.Section>
          
           {isTabVisible && isAddressTabVisible ? (     
           <>
          
          <div style={{
                display: 'flex',
                justifyContent: 'end'
              }}> <Button onClick={() => saveNewAddress()}>Add New Address</Button>
              </div>
              
    {selectedCompanyDetails && (
      <>
        <Select
            label="Select a Company"
            options={CompanyOptions}
            onChange={handleCompanyNameChange}
            value={selectedCompanyId}
        />  
         <div style={{width:'100%', marginTop: '15px'}}>
         <TextField
            label="Company Name*"
            value={selectedCompanyDetails.company_name}
            onChange={handleChangePrimaryCompanyName}
            autoComplete="off"
            error={primaryCompanyNameError ? primaryCompanyNameError : null}
          /> 
          </div>
      <div style={{width:'100%', marginTop: '15px'}}>
    <TextField
      label="Primary Contact Person*"
      name="primaryContactPerson"
      value={selectedCompanyDetails.primary_contact_person}
      onChange={handleChangePrimaryContactPersonShipper}
      autoComplete="off"
      error={primaryContactPersonErrorShipper ? primaryContactPersonErrorShipper : null}
    />
    </div>
    <div style={{display:'flex' , justifyContent: 'space-between',gap:'15px'}}>
    <div style={{width:'50%', marginTop: '15px'}}>
              <Select
              label="Contact Code*"
          options={country_codes_primary}
          onChange={handleCountryCodePrimaryShipper}
          value={selectedCompanyDetails.primary_contact_number_code}
          error={primaryCodeErrorShipper ? primaryCodeErrorShipper : null}
        />
    </div>

    <div style={{width:'100%', marginTop: '15px'}}>
     <TextField
      label="Primary Contact Number*"
      name="primaryContactNumber"
      value={selectedCompanyDetails.primary_contact_number}
      onChange={handleChangePrimaryContactNumberShipper}
      autoComplete="off"
      error={primaryContactNumberErrorShipper ? primaryContactNumberErrorShipper : null}
    />
    </div>
    </div>
   
      <div style={{width:'100%', marginTop: '15px'}}>
    <TextField
      label="Secondary Contact Person"
      name="secondaryContactPerson"
      value={selectedCompanyDetails.secondary_contact_person}
      onChange={handleChangeSecondaryContactPersonShipper}
      autoComplete="off"
      error={secondaryContactPersonErrorShipper ? secondaryContactPersonErrorShipper : null}
    />
    </div>
    <div style={{display:'flex' , justifyContent: 'space-between',gap:'15px'}}>
    <div style={{width:'50%', marginTop: '15px'}}>
              <Select
              label="Contact Code"
          options={country_codes_secondary}
          onChange={handleCountryCodeSecondaryShipper}
          value={selectedCompanyDetails.secondary_contact_number_code}
        />
    </div>

    <div style={{width:'100%', marginTop: '15px'}}>
     <TextField
      label="Secondary Contact Number"
      name="secondaryContactNumber"
      value={selectedCompanyDetails.secondary_contact_number}
      onChange={handleChangeSecondaryContactNumberShipper}
      autoComplete="off"
      error={secondaryContactNumberErrorShipper ? secondaryContactNumberErrorShipper : null}
    />
    </div>
    </div>

    <div style={{display:'flex' , justifyContent: 'space-between',gap:'15px'}}>
   <div style={{width:'100%', marginTop: '15px'}}>
              <Select
              label="Address Type"
          options={address_type_options}
          onChange={handleAddressTypeShipper}
          value={selectedCompanyDetails.address_type}
        />
    </div>
    
    <div style={{width:'100%', marginTop: '15px'}}>
              <Select
              label="Country*"
          options={country_options}
          onChange={handleCountryShipper}
          value={selectedCompanyDetails.country}
          error={countryErrorShipper ? countryErrorShipper : null}
        />
    </div>

    {/* <div style={{width:'100%'}}>
    <TextField
      label="City"
      name="city"
      value={city}
      onChange={handleChangeCity}
      autoComplete="off"
    />
    </div> */}

<div style={{width:'100%', marginTop: '15px'}}>
              <Select
              label="City*"
          options={city_options}
          onChange={handleChangeCityShipper}
          value={selectedCompanyDetails.city}
          error={cityErrorShipper ? cityErrorShipper : null}
        />
        
    </div>


    </div>


    <div style={{display:'flex' , justifyContent: 'space-between',gap:'15px'}}>

    <div style={{width:'100%', marginTop: '15px'}}>
     <TextField
      label="Landmark*"
      name="landmark"
      value={selectedCompanyDetails.landmark}
      onChange={handleChangeLandmarkShipper}
      autoComplete="off"
      error={landmarkErrorShipper ? landmarkErrorShipper : null}
    />
    </div>
    <div style={{width:'100%', marginTop: '15px'}}>
     <TextField
      label="Zipcode"
      name="zipcode"
      value={selectedCompanyDetails.zipcode}
      onChange={handleChangeZipcodeShipper}
      autoComplete="off"
    />
    </div>

    </div>
    <div style={{width:'100%', marginTop: '15px'}}>
    <TextField
      label="Address Line 1*"
      value={selectedCompanyDetails.address_line}
      onChange={handleChangeAddressLineShipper}
      multiline={4}
      autoComplete="off"
      error={addressLineErrorShipper ? addressLineErrorShipper : null}
    />
    </div>
   
      <div style={{width:'100%', marginTop: '15px'}}>
        <Checkbox
          label="Set as default address"
          checked={selectedCompanyDetails.is_default}
          onChange={handleDefaultAddressShipperChange}
        />
        </div>
      
  
   
    <div class="addressDetailsSubmit" style={{ marginTop:'15px'}}>
    {!submitStatus && refreshStatus ? (
        <Button onClick={handleRefresh} loading={isLoadingAddress}>
          Submit
        </Button>
      ) : (
        <>
          {submitStatus ? (
            <Button onClick={handleFirstSubmit} loading={isLoadingAddress}>
              Submit
            </Button>
          ) : (
            <>
              <Button onClick={handleSubmitAddressDetails} loading={isLoadingAddress}>
                Update
              </Button>
              <Button onClick={handleAddressDetailsDelete} loading={isLoadingAddressDelete}>
                Delete
              </Button>
            </>
          )}
        </>
      )}
   
   </div>
   </>
 )}
  
  {addressDetailsToast.show && (
        <Toast
          content={addressDetailsToast.message}
          onDismiss={() => setAddressDetailsToast({ ...addressDetailsToast, show: false })}
          error={addressDetailsToast.isError}
        />
      )}
    </>
           )
            : (
              <div class="emptystateDiv">
              <EmptyState
                heading="Submit your Account Details and Shipping Details" 
                image="https://cdn.shopify.com/s/files/1/0262/4071/2726/files/emptystate-files.png"
               
              >
            <div class="GoToSubmit">
               <Button onClick={() => handleTabSwitch('account-details-tab')}>
              Go to Submit
            </Button>
            </div>
              </EmptyState>
              </div>
            )}
        </LegacyCard.Section>
      )
    }
  ];


  // if (shipperDetailsSubmitted) {
  //   return <Orders />;
  // }


  const handleChangeApiClick = () => {
       
    
          const payload = {
            buttonChangeApiStatus: null,
          };
          const url = '/api/buttonChangeApiStatus';
          fetch(url, {
            method: 'POST',
            headers: {
              'Content-Type': 'application/json',
            },
            body: JSON.stringify(payload),
          })
          .then(response => {
            
            if (!response.ok) {
              throw new Error('Network response was not ok');
            
            }
           
            if (location.pathname === '/EntryPage') {
              navigate('/'); // If on EntryPage, redirect to index page
            } else {
              navigate('/EntryPage'); // If on index, redirect to EntryPage
            }
            // if (onChangeApi) {
            //   onChangeApi(); // This will reset the API selection in index.jsx
            // }
          })
          .catch(error =>{ console.error('Error:', error);
            // setShowApiToast(true);
            // setIsLoadingAccount(false);
        });  

        // if (location.pathname === '/EntryPage') {
        //         navigate('/'); // If on EntryPage, redirect to index page
        //       } else {
        //         navigate('/EntryPage'); // If on index, redirect to EntryPage
        //       }
  };

  
  return (
    <Frame>
    <Page narrowWidth>
      <TitleBar title={t("HomePage.title")} primaryAction={null} />
      <LegacyCard sectioned>
      <div style={{ display: 'flex', justifyContent: 'center'}}>
                <Image
                    alt="Sample Image"
                    source={skyexlogo}
                   width={200}
                   height={200}
                />
                </div>
            </LegacyCard>
      <Layout>
        <Layout.Section>
          <LegacyCard>
            <div class="TabsDiv">
              <div className='changeAPIsettingsButton'><Button onClick={handleChangeApiClick}>Change API</Button></div>
            <Tabs tabs={tabs} selected={selectedTab} onSelect={handleTabChange} fitted>
              {tabs.map((tab, index) => (
                index === selectedTab && (
                  <LegacyCard.Section key={tab.id}>
                    {tab.renderContent()}
                  </LegacyCard.Section>
                )
              ))}
            </Tabs>
            </div>
          </LegacyCard>
        </Layout.Section>
        <Modal
        open={isModalOpen}
        onClose={handleModalClose}
        title="Add New Address"
        primaryAction={{
          content: 'Save',
          onAction: handleModalSave,
          loading: isLoadingModal
        }}
        secondaryActions={[
          {
            content: 'Cancel',
            onAction: handleModalClose,
          },
        ]}
      >
        <Modal.Section>
          <TextField
            label="Company Name*"
            value={companyName}
            onChange={handleChangeCompanyName}
            autoComplete="off"
            error={companyNameError ? companyNameError : null}
          />
          <div style={{ width: '100%', marginTop: '15px' }}>
            <TextField
              label="Primary Contact Person*"
              name="primaryContactPerson"
              value={primaryContactPerson}
              onChange={handleChangePrimaryContactPerson}
              autoComplete="off"
              error={primaryContactPersonError ? primaryContactPersonError : null}
            />
          </div>
          <div style={{ display: 'flex', justifyContent: 'space-between', gap: '15px' }}>
            <div style={{ width: '50%', marginTop: '15px' }}>
              <Select
                label="Contact Code*"
                options={country_codes_primary}
                onChange={handleCountryCodePrimary}
                value={primaryCode}
                error={primaryCodeError ? primaryCodeError : null}
              />
            </div>
            <div style={{ width: '100%', marginTop: '15px' }}>
              <TextField
                label="Primary Contact Number*"
                name="primaryContactNumber"
                value={primaryContactNumber}
                onChange={handleChangePrimaryContactNumber}
                autoComplete="off"
                error={primaryContactNumberError ? primaryContactNumberError : null}
              />
            </div>
          </div>
          <div style={{ width: '100%', marginTop: '15px' }}>
            <TextField
              label="Secondary Contact Person"
              name="secondaryContactPerson"
              value={secondaryContactPerson}
              onChange={handleChangeSecondaryContactPerson}
              autoComplete="off"
              error={secondaryContactPersonError ? secondaryContactPersonError : null}
            />
          </div>
          <div style={{ display: 'flex', justifyContent: 'space-between', gap: '15px' }}>
            <div style={{ width: '50%', marginTop: '15px' }}>
              <Select
                label="Contact Code"
                options={country_codes_secondary}
                onChange={handleCountryCodeSecondary}
                value={secondaryCode}
              />
            </div>
            <div style={{ width: '100%', marginTop: '15px' }}>
              <TextField
                label="Secondary Contact Number"
                name="secondaryContactNumber"
                value={secondaryContactNumber}
                onChange={handleChangeSecondaryContactNumber}
                autoComplete="off"
                error={secondaryContactNumberError ? secondaryContactNumberError : null}
              />
            </div>
          </div>
          <div style={{ display: 'flex', justifyContent: 'space-between', gap: '15px' }}>
            <div style={{ width: '100%', marginTop: '15px' }}>
              <Select
                label="Address Type"
                options={address_type_options}
                onChange={handleAddressType}
                value={addressType}
              />
            </div>
            <div style={{ width: '100%', marginTop: '15px' }}>
              <Select
                label="Country*"
                options={country_options}
                onChange={handleCountry}
                value={country}
                error={countryError ? countryError : null}
              />
            </div>
            <div style={{ width: '100%', marginTop: '15px' }}>
              <Select
                label="City*"
                options={city_options}
                onChange={handleChangeCity}
                value={city}
                error={cityError ? cityError : null}
              />
            </div>
          </div>
          <div style={{ display: 'flex', justifyContent: 'space-between', gap: '15px' }}>
            <div style={{ width: '100%', marginTop: '15px' }}>
              <TextField
                label="Landmark*"
                name="landmark"
                value={landmark}
                onChange={handleChangeLandmark}
                autoComplete="off"
                error={landmarkError ? landmarkError : null}
              />
            </div>
            <div style={{ width: '100%', marginTop: '15px' }}>
              <TextField
                label="Zipcode"
                name="zipcode"
                value={zipcode}
                onChange={handleChangeZipcode}
                autoComplete="off"
              />
            </div>
          </div>
          <div style={{ width: '100%', marginTop: '15px' }}>
            <TextField
              label="Address Line 1*"
              value={addressLine}
              onChange={handleChangeAddressLine}
              multiline={4}
              autoComplete="off"
              error={addressLineError ? addressLineError : null}
            />
          </div>
          <div style={{ width: '100%', marginTop: '15px' }}>
          <Checkbox
            label="Set as default address"
            checked={isDefaultAddress}
            onChange={handleDefaultAddressChange}
          />
        </div>
        </Modal.Section>
      </Modal>
      <Modal
        open={showConfirmation}
        onClose={handleConfirmationCancel}
        title="Confirmation"
        primaryAction={{
          content: 'Yes, set as default',
          onAction: handleConfirmationProceed,
        }}
        secondaryActions={[
          {
            content: 'Cancel',
            onAction: handleConfirmationCancel,
          },
        ]}
      >
        <Modal.Section>
          <p>Are want to set this as the default address?</p>
        </Modal.Section>
      </Modal>
      </Layout>
    </Page>
    </Frame>
  );
}